package controller

import (
	"github.com/gin-gonic/gin"
	"iot_manager_service/app/system/service"
	"iot_manager_service/util/common"
	"net/http"
)

type generalLog struct{}

var GeneralLog = new(generalLog)

// http://localhost/api/blade-log/usual/list?current=1&size=10
// 获取最新10条日志
func (g *generalLog) GetGeneLog(ctx *gin.Context) {
	list, err := service.LogService.GetLogList()
	if err != nil {
		ctx.JSON(http.StatusOK, common.FailResponse(err.Error(), nil))
	}
	ctx.JSON(http.StatusOK, common.SuccessResponse(common.Succeeded, list))
}
